CascadingError (Avalon Framework API)
Keywords: org.apache.avalon.framework.CascadingError class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework
Class CascadingError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.apache.avalon.framework.CascadingError

All Implemented Interfaces:
  CascadingThrowable, java.io.Serializable

public class CascadingError
extends java.lang.Error
implements CascadingThrowable

Class from which all exceptions should inherit. Allows recording of nested exceptions.

Version:
  CVS $Revision: 1.14 $ $Date: 2004/02/11 14:34:24 $
Author:
  Avalon Development Team
See Also:
  Serialized Form

Constructor Summary
`CascadingError(java.lang.String message, java.lang.Throwable throwable)` Construct a new `CascadingError` instance.

Method Summary
`java.lang.Throwable` | `getCause()` Retrieve root cause of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadingError

    public CascadingError(java.lang.String message,
                          java.lang.Throwable throwable)

  Construct a new `CascadingError` instance.

Parameters:
  `message` - The detail message for this exception.
  `throwable` - the root cause of the exception

Method Detail

### getCause

    public final java.lang.Throwable getCause()

  Retrieve root cause of the exception.

  Specified by:
    `getCause` in interface `CascadingThrowable`
  Returns:
    the root cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © The Apache Software Foundation. All Rights Reserved.